#!/bin/bash

export MB_ENV_BASE=$(pwd)

export XDG_CONFIG_HOME=${MB_ENV_BASE}/config
export XDG_DATA_HOME=${MB_ENV_BASE}/local/share
export PATH=${MB_ENV_BASE}/bin:${PATH}
export TERM=xterm-256color
export TERMINFO=${MB_ENV_BASE}/share/terminfo
export SHELL=${MB_ENV_BASE}/bin/fish

export FZF_CTRL_T_COMMAND="fd --type f --color=never --hidden"
export FZF_CTRL_T_OPTS="--preview 'bat --color=always --line-range :50 {}'"
export FZF_ALT_C_COMMAND="fd --type d . --color=never --hidden"
#export FZF_ALT_C_OPTS="--preview 'tree -C {} | head -50'"


${MB_ENV_BASE}/bin/fish.sh
