
" ----------------------------- Own config ---------------------------

inoremap jk <ESC>   " goto normal mode with jk
map <esc> :noh <CR> " remove search highlighting when pressing esc
set number          " turn on line numbers


" ----------------------------- Plugins ------------------------------

call plug#begin()
Plug 'justinmk/vim-sneak'               " s two character search
Plug 'easymotion/vim-easymotion'        " \\ w to jump around quickly
Plug 'sheerun/vim-polyglot'             " syntax highlighting for many langs
Plug 'junegunn/fzf'                     " fuzzy finder
Plug 'junegunn/fzf.vim'                 " fuzzy finder integration
Plug 'dracula/vim', { 'as': 'dracula' } " theme
call plug#end()
